Summary:	JSON-GLib - a library providing serialization and deserialization support for the JSON format
Summary(pl.UTF-8):	JSON-GLib - biblioteka zapewniająca serializację i deserializację dla formatu JSON
Name:		json-glib
Version:	1.0.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/json-glib/1.0/%{name}-%{version}.tar.xz
# Source0-md5:	e43efaf6852958207982e79141bf371e
URL:		http://live.gnome.org/JsonGlib
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.18
BuildRequires:	glib2-devel >= 1:2.37.6
BuildRequires:	gobject-introspection-devel >= 0.9.5
BuildRequires:	gtk-doc >= 1.20
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.37.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JSON-GLib is a library providing serialization and deserialization
support for the JavaScript Object Notation (JSON) format described by
RFC 4627.

%description -l pl.UTF-8
JSON-GLib to biblioteka zapewniająca obsługę serializacji i
deserializacji dla formatu JSON (JavaScript Object Notation) opisanego
w RFC 4627.

%package devel
Summary:	Header files for the json-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki json-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.37.6

%description devel
Header files for the json-glib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki json-glib.

%package apidocs
Summary:	json-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API json-glib
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
json-glib API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API json-glib.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I build/autotools
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libjson-glib-1.0.la

%find_lang %{name}-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-1.0.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS
%attr(755,root,root) %{_bindir}/json-glib-format
%attr(755,root,root) %{_bindir}/json-glib-validate
%attr(755,root,root) %{_libdir}/libjson-glib-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjson-glib-1.0.so.0
%{_libdir}/girepository-1.0/Json-1.0.typelib
%{_mandir}/man1/json-glib-format.1*
%{_mandir}/man1/json-glib-validate.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjson-glib-1.0.so
%{_datadir}/gir-1.0/Json-1.0.gir
%{_includedir}/json-glib-1.0
%{_pkgconfigdir}/json-glib-1.0.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/json-glib
%changelog
* Mon Jun 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/json-glib.git;a=log;h=master

* Mon Jun 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 02dd2c0
- updated to 1.0.2

* Tue Mar 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> 030fd70
- updated to 1.0.0

* Sun Sep 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 1b55d26
- updated to 0.16.2

* Tue Apr 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 071d04a
- Update to 0.16.0

* Wed Oct 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 3e3e8b4
- updated to 0.14.2

* Sat Oct 01 2011 Jakub Bogusz <qboosh@pld-linux.org> ea35e15
- package locales
- release 2

* Wed Sep 28 2011 Artur Frysiak <artur@frysiak.net> 7b98444
- up to 0.14.0

* Sat Jun 18 2011 Jakub Bogusz <qboosh@pld-linux.org> b781e29
- updated to 0.12.6

* Tue Apr 12 2011 Artur Frysiak <artur@frysiak.net> 34d6560
- up to 0.12.4

* Mon Jan 10 2011 Caleb Maclennan <caleb@alerque.com> 5c9b447
- Up to 0.12.2

* Sun Jan 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 2292f43
- pl

* Sun Sep 26 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 0c5e9bd
- updated to 0.12.0

* Sat Sep 25 2010 Patryk Zawadzki <patrys@room-303.com> 4804e6a
- rebuild with new gir format
- rel 2

* Tue Jul 13 2010 Patryk Zawadzki <patrys@room-303.com> 9eaa4e0
- rebuild with latest git
- rel 2

* Fri Mar 19 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 4fb3a8c
- updated to 0.10.4

* Fri Feb 26 2010 sparky <sparky@pld-linux.org> 06d32e4
- BR: docbook-dtd412-xml, pkgconfig

* Fri Feb 26 2010 Marcin Banasiak <marcin.banasiak@gmail.com> c1fe35a
- updated to 0.10.2

* Fri Dec 18 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 715ad0b
- updated to 0.8.2

* Mon Jun 23 2008 Patryk Zawadzki <patrys@room-303.com> d43e970
- forgot to add ldconfig
- rel 3

* Mon Jun 23 2008 Patryk Zawadzki <patrys@room-303.com> beb8a8b
- get rid of moving docs around
- rel 2

